# Method Concurrent.Future()->zip()

Method zip

  ``this_program` zip(`array`(`this_program`) `others`)`
  ``local` `variant` `this_program` zip(`this_program` ... `others`)`

Parameter `others`

  The other futures (results) you want to append.

Returns

  A new Future that will be fulfilled with an array of the fulfilled result of this object followed by the fulfilled results of other futures.

See also

  results()